<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: tinyxml2::XMLText Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classtinyxml2_1_1_x_m_l_text.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classtinyxml2_1_1_x_m_l_text-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">tinyxml2::XMLText Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for tinyxml2::XMLText:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtinyxml2_1_1_x_m_l_text.png" usemap="#tinyxml2::XMLText_map" alt=""/>
  <map id="tinyxml2::XMLText_map" name="tinyxml2::XMLText_map">
<area href="classtinyxml2_1_1_x_m_l_node.html" alt="tinyxml2::XMLNode" shape="rect" coords="0,0,120,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a537c60d7e18fb59c45ac2737a29ac47a" id="r_a537c60d7e18fb59c45ac2737a29ac47a"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a537c60d7e18fb59c45ac2737a29ac47a">Accept</a> (<a class="el" href="classtinyxml2_1_1_x_m_l_visitor.html">XMLVisitor</a> *visitor) const</td></tr>
<tr class="separator:a537c60d7e18fb59c45ac2737a29ac47a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5f022b8424f270302ff281c0b9c360b" id="r_aa5f022b8424f270302ff281c0b9c360b"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtinyxml2_1_1_x_m_l_text.html">XMLText</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa5f022b8424f270302ff281c0b9c360b">ToText</a> ()</td></tr>
<tr class="memdesc:aa5f022b8424f270302ff281c0b9c360b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Safely cast to Text, or null.  <br /></td></tr>
<tr class="separator:aa5f022b8424f270302ff281c0b9c360b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a479fb4d019766a8e7f9f157afb8084b3" id="r_a479fb4d019766a8e7f9f157afb8084b3"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classtinyxml2_1_1_x_m_l_text.html">XMLText</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a479fb4d019766a8e7f9f157afb8084b3">ToText</a> () const</td></tr>
<tr class="separator:a479fb4d019766a8e7f9f157afb8084b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad080357d76ab7cc59d7651249949329d" id="r_ad080357d76ab7cc59d7651249949329d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad080357d76ab7cc59d7651249949329d">SetCData</a> (bool isCData)</td></tr>
<tr class="memdesc:ad080357d76ab7cc59d7651249949329d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Declare whether this should be CDATA or standard text.  <br /></td></tr>
<tr class="separator:ad080357d76ab7cc59d7651249949329d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1bb5ea4166c320882d9e0ad16fd385b" id="r_ac1bb5ea4166c320882d9e0ad16fd385b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac1bb5ea4166c320882d9e0ad16fd385b">CData</a> () const</td></tr>
<tr class="memdesc:ac1bb5ea4166c320882d9e0ad16fd385b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this is a CDATA text element.  <br /></td></tr>
<tr class="separator:ac1bb5ea4166c320882d9e0ad16fd385b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86d265c93152726c8c6831e9594840e6" id="r_a86d265c93152726c8c6831e9594840e6"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a86d265c93152726c8c6831e9594840e6">ShallowClone</a> (<a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a> *document) const</td></tr>
<tr class="separator:a86d265c93152726c8c6831e9594840e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99d8bce4dc01df889126e047f358cdfc" id="r_a99d8bce4dc01df889126e047f358cdfc"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a99d8bce4dc01df889126e047f358cdfc">ShallowEqual</a> (const <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *compare) const</td></tr>
<tr class="separator:a99d8bce4dc01df889126e047f358cdfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtinyxml2_1_1_x_m_l_node"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_classtinyxml2_1_1_x_m_l_node')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">tinyxml2::XMLNode</a></td></tr>
<tr class="memitem:a6ce3bbe80357f5a4dc5db31a66f2bb18 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a6ce3bbe80357f5a4dc5db31a66f2bb18"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a6ce3bbe80357f5a4dc5db31a66f2bb18">GetDocument</a> () const</td></tr>
<tr class="memdesc:a6ce3bbe80357f5a4dc5db31a66f2bb18 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the <a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a> that owns this <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a>.  <br /></td></tr>
<tr class="separator:a6ce3bbe80357f5a4dc5db31a66f2bb18 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48d1695f7c834129e072548957a50501 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a48d1695f7c834129e072548957a50501"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a48d1695f7c834129e072548957a50501">GetDocument</a> ()</td></tr>
<tr class="memdesc:a48d1695f7c834129e072548957a50501 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the <a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a> that owns this <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a>.  <br /></td></tr>
<tr class="separator:a48d1695f7c834129e072548957a50501 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9417e1f8a9787ae27741605493514b18 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a9417e1f8a9787ae27741605493514b18"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtinyxml2_1_1_x_m_l_element.html">XMLElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a9417e1f8a9787ae27741605493514b18">ToElement</a> ()</td></tr>
<tr class="memdesc:a9417e1f8a9787ae27741605493514b18 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Safely cast to an Element, or null.  <br /></td></tr>
<tr class="separator:a9417e1f8a9787ae27741605493514b18 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dc13f02ae49e3fa609e426f47c8466d inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a5dc13f02ae49e3fa609e426f47c8466d"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtinyxml2_1_1_x_m_l_comment.html">XMLComment</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a5dc13f02ae49e3fa609e426f47c8466d">ToComment</a> ()</td></tr>
<tr class="memdesc:a5dc13f02ae49e3fa609e426f47c8466d inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Safely cast to a Comment, or null.  <br /></td></tr>
<tr class="separator:a5dc13f02ae49e3fa609e426f47c8466d inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6107c3f57ab6e0755959947762953652 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a6107c3f57ab6e0755959947762953652"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a6107c3f57ab6e0755959947762953652">ToDocument</a> ()</td></tr>
<tr class="memdesc:a6107c3f57ab6e0755959947762953652 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Safely cast to a Document, or null.  <br /></td></tr>
<tr class="separator:a6107c3f57ab6e0755959947762953652 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12aa783a3a4445ad5557c7d56cd8dc4a inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a12aa783a3a4445ad5557c7d56cd8dc4a"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtinyxml2_1_1_x_m_l_declaration.html">XMLDeclaration</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a12aa783a3a4445ad5557c7d56cd8dc4a">ToDeclaration</a> ()</td></tr>
<tr class="memdesc:a12aa783a3a4445ad5557c7d56cd8dc4a inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Safely cast to a Declaration, or null.  <br /></td></tr>
<tr class="separator:a12aa783a3a4445ad5557c7d56cd8dc4a inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8a2dd38b786c3b8d406c2047753cbfd inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_aa8a2dd38b786c3b8d406c2047753cbfd"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtinyxml2_1_1_x_m_l_unknown.html">XMLUnknown</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#aa8a2dd38b786c3b8d406c2047753cbfd">ToUnknown</a> ()</td></tr>
<tr class="memdesc:aa8a2dd38b786c3b8d406c2047753cbfd inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Safely cast to an Unknown, or null.  <br /></td></tr>
<tr class="separator:aa8a2dd38b786c3b8d406c2047753cbfd inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a717b5e8a2dd19f1375e388eb749a773c inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a717b5e8a2dd19f1375e388eb749a773c"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classtinyxml2_1_1_x_m_l_element.html">XMLElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a717b5e8a2dd19f1375e388eb749a773c">ToElement</a> () const</td></tr>
<tr class="separator:a717b5e8a2dd19f1375e388eb749a773c inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae78cbef093b115895c1a7b06960396da inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_ae78cbef093b115895c1a7b06960396da"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classtinyxml2_1_1_x_m_l_comment.html">XMLComment</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#ae78cbef093b115895c1a7b06960396da">ToComment</a> () const</td></tr>
<tr class="separator:ae78cbef093b115895c1a7b06960396da inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7e7fd167ffb01b64e3371c0d2cda19b inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_ad7e7fd167ffb01b64e3371c0d2cda19b"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#ad7e7fd167ffb01b64e3371c0d2cda19b">ToDocument</a> () const</td></tr>
<tr class="separator:ad7e7fd167ffb01b64e3371c0d2cda19b inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93ef0d07257e5c8f62dc869ef4e23b3b inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a93ef0d07257e5c8f62dc869ef4e23b3b"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classtinyxml2_1_1_x_m_l_declaration.html">XMLDeclaration</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a93ef0d07257e5c8f62dc869ef4e23b3b">ToDeclaration</a> () const</td></tr>
<tr class="separator:a93ef0d07257e5c8f62dc869ef4e23b3b inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab956088fd1ec09c933804000a7a984ea inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_ab956088fd1ec09c933804000a7a984ea"><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="classtinyxml2_1_1_x_m_l_unknown.html">XMLUnknown</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#ab956088fd1ec09c933804000a7a984ea">ToUnknown</a> () const</td></tr>
<tr class="separator:ab956088fd1ec09c933804000a7a984ea inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0485e51c670e741884cfd8362274d680 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a0485e51c670e741884cfd8362274d680"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a0485e51c670e741884cfd8362274d680">Value</a> () const</td></tr>
<tr class="separator:a0485e51c670e741884cfd8362274d680 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09dd68cf9eae137579f6e50f36487513 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a09dd68cf9eae137579f6e50f36487513"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a09dd68cf9eae137579f6e50f36487513">SetValue</a> (const char *val, bool staticMem=false)</td></tr>
<tr class="separator:a09dd68cf9eae137579f6e50f36487513 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b5fc636646fda761d342c72e91cb286 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a9b5fc636646fda761d342c72e91cb286"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a9b5fc636646fda761d342c72e91cb286">GetLineNum</a> () const</td></tr>
<tr class="memdesc:a9b5fc636646fda761d342c72e91cb286 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the line number the node is in, if the document was parsed from a file.  <br /></td></tr>
<tr class="separator:a9b5fc636646fda761d342c72e91cb286 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d76b30d1bf4b166d3e4fa3419d51595 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a4d76b30d1bf4b166d3e4fa3419d51595"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a4d76b30d1bf4b166d3e4fa3419d51595">Parent</a> () const</td></tr>
<tr class="memdesc:a4d76b30d1bf4b166d3e4fa3419d51595 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the parent of this node on the DOM.  <br /></td></tr>
<tr class="separator:a4d76b30d1bf4b166d3e4fa3419d51595 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae092b35e0f94c27ad96d0ac92c038e1e inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_ae092b35e0f94c27ad96d0ac92c038e1e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#ae092b35e0f94c27ad96d0ac92c038e1e">Parent</a> ()</td></tr>
<tr class="separator:ae092b35e0f94c27ad96d0ac92c038e1e inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3ab489e6e202a3cd1762d3b332e89d4 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_ac3ab489e6e202a3cd1762d3b332e89d4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#ac3ab489e6e202a3cd1762d3b332e89d4">NoChildren</a> () const</td></tr>
<tr class="memdesc:ac3ab489e6e202a3cd1762d3b332e89d4 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this node has no children.  <br /></td></tr>
<tr class="separator:ac3ab489e6e202a3cd1762d3b332e89d4 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcc2e572dce329539689b426a0840661 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_abcc2e572dce329539689b426a0840661"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#abcc2e572dce329539689b426a0840661">FirstChild</a> () const</td></tr>
<tr class="memdesc:abcc2e572dce329539689b426a0840661 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the first child node, or null if none exists.  <br /></td></tr>
<tr class="separator:abcc2e572dce329539689b426a0840661 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cc3c85d40ce73d6f5849a35debfccfc inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a3cc3c85d40ce73d6f5849a35debfccfc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a3cc3c85d40ce73d6f5849a35debfccfc">FirstChild</a> ()</td></tr>
<tr class="separator:a3cc3c85d40ce73d6f5849a35debfccfc inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bec132dcf085284e0a10755f2cf0d57 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a1bec132dcf085284e0a10755f2cf0d57"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_element.html">XMLElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a1bec132dcf085284e0a10755f2cf0d57">FirstChildElement</a> (const char *name=0) const</td></tr>
<tr class="separator:a1bec132dcf085284e0a10755f2cf0d57 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46c460e1494ccc2691f515a34e78abc0 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a46c460e1494ccc2691f515a34e78abc0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_element.html">XMLElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a46c460e1494ccc2691f515a34e78abc0">FirstChildElement</a> (const char *name=0)</td></tr>
<tr class="separator:a46c460e1494ccc2691f515a34e78abc0 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69a29bb8263ff5e9815be180bf27e7af inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a69a29bb8263ff5e9815be180bf27e7af"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a69a29bb8263ff5e9815be180bf27e7af">LastChild</a> () const</td></tr>
<tr class="memdesc:a69a29bb8263ff5e9815be180bf27e7af inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the last child node, or null if none exists.  <br /></td></tr>
<tr class="separator:a69a29bb8263ff5e9815be180bf27e7af inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5029f38433f2c547ab2c67d20944563f inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a5029f38433f2c547ab2c67d20944563f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a5029f38433f2c547ab2c67d20944563f">LastChild</a> ()</td></tr>
<tr class="separator:a5029f38433f2c547ab2c67d20944563f inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609e02f02044f39b928d1a3e0de9f532 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a609e02f02044f39b928d1a3e0de9f532"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_element.html">XMLElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a609e02f02044f39b928d1a3e0de9f532">LastChildElement</a> (const char *name=0) const</td></tr>
<tr class="separator:a609e02f02044f39b928d1a3e0de9f532 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b3ee7343ed49c2054fe64ef5639b2ff inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a4b3ee7343ed49c2054fe64ef5639b2ff"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_element.html">XMLElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a4b3ee7343ed49c2054fe64ef5639b2ff">LastChildElement</a> (const char *name=0)</td></tr>
<tr class="separator:a4b3ee7343ed49c2054fe64ef5639b2ff inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92ee96b0d8628bc609f1d34e56d69dfa inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a92ee96b0d8628bc609f1d34e56d69dfa"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a92ee96b0d8628bc609f1d34e56d69dfa">PreviousSibling</a> () const</td></tr>
<tr class="memdesc:a92ee96b0d8628bc609f1d34e56d69dfa inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the previous (left) sibling node of this node.  <br /></td></tr>
<tr class="separator:a92ee96b0d8628bc609f1d34e56d69dfa inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cbc1d7444770fb364a431441b81f21a inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a5cbc1d7444770fb364a431441b81f21a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a5cbc1d7444770fb364a431441b81f21a">PreviousSibling</a> ()</td></tr>
<tr class="separator:a5cbc1d7444770fb364a431441b81f21a inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9453cda5e970375a7b1b2099f8a7c40a inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a9453cda5e970375a7b1b2099f8a7c40a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_element.html">XMLElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a9453cda5e970375a7b1b2099f8a7c40a">PreviousSiblingElement</a> (const char *name=0) const</td></tr>
<tr class="memdesc:a9453cda5e970375a7b1b2099f8a7c40a inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the previous (left) sibling element of this node, with an optionally supplied name.  <br /></td></tr>
<tr class="separator:a9453cda5e970375a7b1b2099f8a7c40a inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abee2e91cc895adfb8ba24b0b6ec14f00 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_abee2e91cc895adfb8ba24b0b6ec14f00"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_element.html">XMLElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#abee2e91cc895adfb8ba24b0b6ec14f00">PreviousSiblingElement</a> (const char *name=0)</td></tr>
<tr class="separator:abee2e91cc895adfb8ba24b0b6ec14f00 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af986c568061b020cf6232bec091388c0 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_af986c568061b020cf6232bec091388c0"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#af986c568061b020cf6232bec091388c0">NextSibling</a> () const</td></tr>
<tr class="memdesc:af986c568061b020cf6232bec091388c0 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the next (right) sibling node of this node.  <br /></td></tr>
<tr class="separator:af986c568061b020cf6232bec091388c0 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05d04a9c06dc48ff8473c77774ee94eb inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a05d04a9c06dc48ff8473c77774ee94eb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a05d04a9c06dc48ff8473c77774ee94eb">NextSibling</a> ()</td></tr>
<tr class="separator:a05d04a9c06dc48ff8473c77774ee94eb inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14ea560df31110ff07a9f566171bf797 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a14ea560df31110ff07a9f566171bf797"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_element.html">XMLElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a14ea560df31110ff07a9f566171bf797">NextSiblingElement</a> (const char *name=0) const</td></tr>
<tr class="memdesc:a14ea560df31110ff07a9f566171bf797 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the next (right) sibling element of this node, with an optionally supplied name.  <br /></td></tr>
<tr class="separator:a14ea560df31110ff07a9f566171bf797 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83f054589f5a669c0dcca72bfd6bfb09 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a83f054589f5a669c0dcca72bfd6bfb09"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_element.html">XMLElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a83f054589f5a669c0dcca72bfd6bfb09">NextSiblingElement</a> (const char *name=0)</td></tr>
<tr class="separator:a83f054589f5a669c0dcca72bfd6bfb09 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3b422e98914d6002ca99bb1d2837103 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_ae3b422e98914d6002ca99bb1d2837103"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#ae3b422e98914d6002ca99bb1d2837103">InsertEndChild</a> (<a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *addThis)</td></tr>
<tr class="separator:ae3b422e98914d6002ca99bb1d2837103 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6ab0f078ab8edba2e2c6d1d81a3661e inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_ae6ab0f078ab8edba2e2c6d1d81a3661e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#ae6ab0f078ab8edba2e2c6d1d81a3661e">LinkEndChild</a> (<a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *addThis)</td></tr>
<tr class="separator:ae6ab0f078ab8edba2e2c6d1d81a3661e inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac609a8f3ea949027f439280c640bbaf2 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_ac609a8f3ea949027f439280c640bbaf2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#ac609a8f3ea949027f439280c640bbaf2">InsertFirstChild</a> (<a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *addThis)</td></tr>
<tr class="separator:ac609a8f3ea949027f439280c640bbaf2 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9275138a1b8dd5d8e2c26789bdc23ac8 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a9275138a1b8dd5d8e2c26789bdc23ac8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a9275138a1b8dd5d8e2c26789bdc23ac8">InsertAfterChild</a> (<a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *afterThis, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *addThis)</td></tr>
<tr class="separator:a9275138a1b8dd5d8e2c26789bdc23ac8 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0360085cc54df5bff85d5c5da13afdce inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a0360085cc54df5bff85d5c5da13afdce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a0360085cc54df5bff85d5c5da13afdce">DeleteChildren</a> ()</td></tr>
<tr class="separator:a0360085cc54df5bff85d5c5da13afdce inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a363b6edbd6ebd55f8387d2b89f2b0921 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a363b6edbd6ebd55f8387d2b89f2b0921"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a363b6edbd6ebd55f8387d2b89f2b0921">DeleteChild</a> (<a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *node)</td></tr>
<tr class="separator:a363b6edbd6ebd55f8387d2b89f2b0921 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bb369fd733f1989b751d99a9417adab inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a3bb369fd733f1989b751d99a9417adab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a3bb369fd733f1989b751d99a9417adab">DeepClone</a> (<a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a> *target) const</td></tr>
<tr class="separator:a3bb369fd733f1989b751d99a9417adab inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a002978fc889cc011d143185f2377eca2 inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a002978fc889cc011d143185f2377eca2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a002978fc889cc011d143185f2377eca2">SetUserData</a> (void *userData)</td></tr>
<tr class="separator:a002978fc889cc011d143185f2377eca2 inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18cc02ebd0b06f6bf5db7ef87653e00e inherit pub_methods_classtinyxml2_1_1_x_m_l_node" id="r_a18cc02ebd0b06f6bf5db7ef87653e00e"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a18cc02ebd0b06f6bf5db7ef87653e00e">GetUserData</a> () const</td></tr>
<tr class="separator:a18cc02ebd0b06f6bf5db7ef87653e00e inherit pub_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ad9f46d70e61e5386ead93728d8b90267" id="r_ad9f46d70e61e5386ead93728d8b90267"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad9f46d70e61e5386ead93728d8b90267">XMLText</a> (<a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a> *doc)</td></tr>
<tr class="separator:ad9f46d70e61e5386ead93728d8b90267"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9b8790d0dc13914394dbd7437c0e59d" id="r_ae9b8790d0dc13914394dbd7437c0e59d"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae9b8790d0dc13914394dbd7437c0e59d">~XMLText</a> ()</td></tr>
<tr class="separator:ae9b8790d0dc13914394dbd7437c0e59d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3b93344f1183482e1683f5922ac9c68" id="r_af3b93344f1183482e1683f5922ac9c68"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af3b93344f1183482e1683f5922ac9c68">ParseDeep</a> (char *p, <a class="el" href="classtinyxml2_1_1_str_pair.html">StrPair</a> *parentEndTag, int *curLineNumPtr)</td></tr>
<tr class="separator:af3b93344f1183482e1683f5922ac9c68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classtinyxml2_1_1_x_m_l_node"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_methods_classtinyxml2_1_1_x_m_l_node')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">tinyxml2::XMLNode</a></td></tr>
<tr class="memitem:a29868df6ca383d574f584dfdd15105b6 inherit pro_methods_classtinyxml2_1_1_x_m_l_node" id="r_a29868df6ca383d574f584dfdd15105b6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a29868df6ca383d574f584dfdd15105b6">XMLNode</a> (<a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a> *)</td></tr>
<tr class="separator:a29868df6ca383d574f584dfdd15105b6 inherit pro_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f41e898cdd4da4cdbb7f05b0c7d9f69 inherit pro_methods_classtinyxml2_1_1_x_m_l_node" id="r_a8f41e898cdd4da4cdbb7f05b0c7d9f69"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a8f41e898cdd4da4cdbb7f05b0c7d9f69">~XMLNode</a> ()</td></tr>
<tr class="separator:a8f41e898cdd4da4cdbb7f05b0c7d9f69 inherit pro_methods_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a002156e1f61ee6d48e5368b7cca25582" id="r_a002156e1f61ee6d48e5368b7cca25582"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a002156e1f61ee6d48e5368b7cca25582">XMLText</a> (const <a class="el" href="classtinyxml2_1_1_x_m_l_text.html">XMLText</a> &amp;)</td></tr>
<tr class="separator:a002156e1f61ee6d48e5368b7cca25582"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9047338600999375c46a8cab5bd8112" id="r_ab9047338600999375c46a8cab5bd8112"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_text.html">XMLText</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab9047338600999375c46a8cab5bd8112">operator=</a> (const <a class="el" href="classtinyxml2_1_1_x_m_l_text.html">XMLText</a> &amp;)</td></tr>
<tr class="separator:ab9047338600999375c46a8cab5bd8112"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aae1a8b4117e8c8bb107900a0560d5ab5" id="r_aae1a8b4117e8c8bb107900a0560d5ab5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aae1a8b4117e8c8bb107900a0560d5ab5">_isCData</a></td></tr>
<tr class="separator:aae1a8b4117e8c8bb107900a0560d5ab5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="friends" name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a4eee3bda60c60a30e4e8cd4ea91c4c6e" id="r_a4eee3bda60c60a30e4e8cd4ea91c4c6e"><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4eee3bda60c60a30e4e8cd4ea91c4c6e">XMLDocument</a></td></tr>
<tr class="separator:a4eee3bda60c60a30e4e8cd4ea91c4c6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classtinyxml2_1_1_x_m_l_node"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_attribs_classtinyxml2_1_1_x_m_l_node')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">tinyxml2::XMLNode</a></td></tr>
<tr class="memitem:a8d2d2be0bb6797625551eb0e91f0ff62 inherit pro_attribs_classtinyxml2_1_1_x_m_l_node" id="r_a8d2d2be0bb6797625551eb0e91f0ff62"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a8d2d2be0bb6797625551eb0e91f0ff62">_document</a></td></tr>
<tr class="separator:a8d2d2be0bb6797625551eb0e91f0ff62 inherit pro_attribs_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a176dd1c4965c21c366de192164aa2c13 inherit pro_attribs_classtinyxml2_1_1_x_m_l_node" id="r_a176dd1c4965c21c366de192164aa2c13"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a176dd1c4965c21c366de192164aa2c13">_parent</a></td></tr>
<tr class="separator:a176dd1c4965c21c366de192164aa2c13 inherit pro_attribs_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ea9884098b8379de2bb5ab3fc85c0fc inherit pro_attribs_classtinyxml2_1_1_x_m_l_node" id="r_a3ea9884098b8379de2bb5ab3fc85c0fc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_str_pair.html">StrPair</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a3ea9884098b8379de2bb5ab3fc85c0fc">_value</a></td></tr>
<tr class="separator:a3ea9884098b8379de2bb5ab3fc85c0fc inherit pro_attribs_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab336ed023e15be202ff3b410be01b804 inherit pro_attribs_classtinyxml2_1_1_x_m_l_node" id="r_ab336ed023e15be202ff3b410be01b804"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#ab336ed023e15be202ff3b410be01b804">_parseLineNum</a></td></tr>
<tr class="separator:ab336ed023e15be202ff3b410be01b804 inherit pro_attribs_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa20c91e4213dc930c5bdf420322ca342 inherit pro_attribs_classtinyxml2_1_1_x_m_l_node" id="r_aa20c91e4213dc930c5bdf420322ca342"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#aa20c91e4213dc930c5bdf420322ca342">_firstChild</a></td></tr>
<tr class="separator:aa20c91e4213dc930c5bdf420322ca342 inherit pro_attribs_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a099b6560ae44ab9edb8453aaf1a3747b inherit pro_attribs_classtinyxml2_1_1_x_m_l_node" id="r_a099b6560ae44ab9edb8453aaf1a3747b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a099b6560ae44ab9edb8453aaf1a3747b">_lastChild</a></td></tr>
<tr class="separator:a099b6560ae44ab9edb8453aaf1a3747b inherit pro_attribs_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9739eb0fb9a1188266052055e7a6bf6b inherit pro_attribs_classtinyxml2_1_1_x_m_l_node" id="r_a9739eb0fb9a1188266052055e7a6bf6b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a9739eb0fb9a1188266052055e7a6bf6b">_prev</a></td></tr>
<tr class="separator:a9739eb0fb9a1188266052055e7a6bf6b inherit pro_attribs_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27e985496b37dd00eb5b9cf59b9e3fb1 inherit pro_attribs_classtinyxml2_1_1_x_m_l_node" id="r_a27e985496b37dd00eb5b9cf59b9e3fb1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a27e985496b37dd00eb5b9cf59b9e3fb1">_next</a></td></tr>
<tr class="separator:a27e985496b37dd00eb5b9cf59b9e3fb1 inherit pro_attribs_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2d5cc463a6c95ec5907d57a119c56da inherit pro_attribs_classtinyxml2_1_1_x_m_l_node" id="r_ac2d5cc463a6c95ec5907d57a119c56da"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html#ac2d5cc463a6c95ec5907d57a119c56da">_userData</a></td></tr>
<tr class="separator:ac2d5cc463a6c95ec5907d57a119c56da inherit pro_attribs_classtinyxml2_1_1_x_m_l_node"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>XML text.</p>
<p>Note that a text node can have child element nodes, for example: </p><pre class="fragment">&lt;root&gt;This is &lt;b&gt;bold&lt;/b&gt;&lt;/root&gt;
</pre><p>A text node can have 2 ways to output the next. "normal" output and CDATA. It will default to the mode it was parsed from the XML file and you generally want to leave it alone, but you can change the output mode with <a class="el" href="#ad080357d76ab7cc59d7651249949329d" title="Declare whether this should be CDATA or standard text.">SetCData()</a> and query it with <a class="el" href="#ac1bb5ea4166c320882d9e0ad16fd385b" title="Returns true if this is a CDATA text element.">CData()</a>. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad9f46d70e61e5386ead93728d8b90267" name="ad9f46d70e61e5386ead93728d8b90267"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9f46d70e61e5386ead93728d8b90267">&#9670;&#160;</a></span>XMLText() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tinyxml2::XMLText::XMLText </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a> *</td>          <td class="paramname"><span class="paramname"><em>doc</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9b8790d0dc13914394dbd7437c0e59d" name="ae9b8790d0dc13914394dbd7437c0e59d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9b8790d0dc13914394dbd7437c0e59d">&#9670;&#160;</a></span>~XMLText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual tinyxml2::XMLText::~XMLText </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a002156e1f61ee6d48e5368b7cca25582" name="a002156e1f61ee6d48e5368b7cca25582"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a002156e1f61ee6d48e5368b7cca25582">&#9670;&#160;</a></span>XMLText() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tinyxml2::XMLText::XMLText </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtinyxml2_1_1_x_m_l_text.html">XMLText</a> &amp;</td>          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a537c60d7e18fb59c45ac2737a29ac47a" name="a537c60d7e18fb59c45ac2737a29ac47a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a537c60d7e18fb59c45ac2737a29ac47a">&#9670;&#160;</a></span>Accept()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tinyxml2::XMLText::Accept </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtinyxml2_1_1_x_m_l_visitor.html">XMLVisitor</a> *</td>          <td class="paramname"><span class="paramname"><em>visitor</em></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Accept a hierarchical visit of the nodes in the TinyXML-2 DOM. Every node in the XML tree will be conditionally visited and the host will be called back via the <a class="el" href="classtinyxml2_1_1_x_m_l_visitor.html">XMLVisitor</a> interface.</p>
<p>This is essentially a SAX interface for TinyXML-2. (Note however it doesn't re-parse the XML for the callbacks, so the performance of TinyXML-2 is unchanged by using this interface versus any other.)</p>
<p>The interface has been based on ideas from:</p>
<ul>
<li><a href="http://www.saxproject.org/">http://www.saxproject.org/</a></li>
<li><a href="http://c2.com/cgi/wiki?HierarchicalVisitorPattern">http://c2.com/cgi/wiki?HierarchicalVisitorPattern</a></li>
</ul>
<p>Which are both good references for "visiting".</p>
<p>An example of using <a class="el" href="#a537c60d7e18fb59c45ac2737a29ac47a">Accept()</a>: </p><pre class="fragment">XMLPrinter printer;
tinyxmlDoc.Accept( &amp;printer );
const char* xmlcstr = printer.CStr();
</pre> 
<p>Implements <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a81e66df0a44c67a7af17f3b77a152785">tinyxml2::XMLNode</a>.</p>

</div>
</div>
<a id="ac1bb5ea4166c320882d9e0ad16fd385b" name="ac1bb5ea4166c320882d9e0ad16fd385b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1bb5ea4166c320882d9e0ad16fd385b">&#9670;&#160;</a></span>CData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tinyxml2::XMLText::CData </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns true if this is a CDATA text element. </p>

</div>
</div>
<a id="ab9047338600999375c46a8cab5bd8112" name="ab9047338600999375c46a8cab5bd8112"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9047338600999375c46a8cab5bd8112">&#9670;&#160;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtinyxml2_1_1_x_m_l_text.html">XMLText</a> &amp; tinyxml2::XMLText::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtinyxml2_1_1_x_m_l_text.html">XMLText</a> &amp;</td>          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af3b93344f1183482e1683f5922ac9c68" name="af3b93344f1183482e1683f5922ac9c68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3b93344f1183482e1683f5922ac9c68">&#9670;&#160;</a></span>ParseDeep()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char * tinyxml2::XMLText::ParseDeep </td>
          <td>(</td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>p</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classtinyxml2_1_1_str_pair.html">StrPair</a> *</td>          <td class="paramname"><span class="paramname"><em>parentEndTag</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *</td>          <td class="paramname"><span class="paramname"><em>curLineNumPtr</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a916e498914baecbc9a1f012352ef7c69">tinyxml2::XMLNode</a>.</p>

</div>
</div>
<a id="ad080357d76ab7cc59d7651249949329d" name="ad080357d76ab7cc59d7651249949329d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad080357d76ab7cc59d7651249949329d">&#9670;&#160;</a></span>SetCData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLText::SetCData </td>
          <td>(</td>
          <td class="paramtype">bool</td>          <td class="paramname"><span class="paramname"><em>isCData</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Declare whether this should be CDATA or standard text. </p>

</div>
</div>
<a id="a86d265c93152726c8c6831e9594840e6" name="a86d265c93152726c8c6831e9594840e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86d265c93152726c8c6831e9594840e6">&#9670;&#160;</a></span>ShallowClone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> * tinyxml2::XMLText::ShallowClone </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a> *</td>          <td class="paramname"><span class="paramname"><em>document</em></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Make a copy of this node, but not its children. You may pass in a Document pointer that will be the owner of the new Node. If the 'document' is null, then the node returned will be allocated from the current Document. (this-&gt;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a48d1695f7c834129e072548957a50501" title="Get the XMLDocument that owns this XMLNode.">GetDocument()</a>)</p>
<p>Note: if called on a <a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a>, this will return null. </p>

<p>Implements <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a9046880c05b81ad99ee645f4b2a53ecd">tinyxml2::XMLNode</a>.</p>

</div>
</div>
<a id="a99d8bce4dc01df889126e047f358cdfc" name="a99d8bce4dc01df889126e047f358cdfc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99d8bce4dc01df889126e047f358cdfc">&#9670;&#160;</a></span>ShallowEqual()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tinyxml2::XMLText::ShallowEqual </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *</td>          <td class="paramname"><span class="paramname"><em>compare</em></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Test if 2 nodes are the same, but don't test children. The 2 nodes do not need to be in the same Document.</p>
<p>Note: if called on a <a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a>, this will return false. </p>

<p>Implements <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a7ce18b751c3ea09eac292dca264f9226">tinyxml2::XMLNode</a>.</p>

</div>
</div>
<a id="aa5f022b8424f270302ff281c0b9c360b" name="aa5f022b8424f270302ff281c0b9c360b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5f022b8424f270302ff281c0b9c360b">&#9670;&#160;</a></span>ToText() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtinyxml2_1_1_x_m_l_text.html">XMLText</a> * tinyxml2::XMLText::ToText </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Safely cast to Text, or null. </p>

<p>Reimplemented from <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a0aea8c9c5853c35a06da1988486abc60">tinyxml2::XMLNode</a>.</p>

</div>
</div>
<a id="a479fb4d019766a8e7f9f157afb8084b3" name="a479fb4d019766a8e7f9f157afb8084b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a479fb4d019766a8e7f9f157afb8084b3">&#9670;&#160;</a></span>ToText() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classtinyxml2_1_1_x_m_l_text.html">XMLText</a> * tinyxml2::XMLText::ToText </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a0563966a4e8df58a3bf1b323eedf839a">tinyxml2::XMLNode</a>.</p>

</div>
</div>
<h2 class="groupheader">Friends And Related Symbol Documentation</h2>
<a id="a4eee3bda60c60a30e4e8cd4ea91c4c6e" name="a4eee3bda60c60a30e4e8cd4ea91c4c6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4eee3bda60c60a30e4e8cd4ea91c4c6e">&#9670;&#160;</a></span>XMLDocument</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classtinyxml2_1_1_x_m_l_document.html">XMLDocument</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aae1a8b4117e8c8bb107900a0560d5ab5" name="aae1a8b4117e8c8bb107900a0560d5ab5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae1a8b4117e8c8bb107900a0560d5ab5">&#9670;&#160;</a></span>_isCData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tinyxml2::XMLText::_isCData</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/dep/tinyxml2/inc/<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a></li>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/dep/tinyxml2/src/<a class="el" href="tinyxml2_8cpp.html">tinyxml2.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacetinyxml2.html">tinyxml2</a></li><li class="navelem"><a class="el" href="classtinyxml2_1_1_x_m_l_text.html">XMLText</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
